akilic
Automotive
- Jun 4, 2010
- 4
Hello all,
When I select single curve in Userform then I can declare it as a public variabale so I can use it in other modules.
But when I select multiple curves for creating multisection surface I cannot declare the selection as a public variable. because it is an array now
how can i declare an array and use them in modules?
you can see my selection code below
**********************************************************************************
Dim MySelection, InputObjectType, HorizontalCurveSel, HorizontalCurve()
Set MySelection = CATIA.ActiveDocument.Selection
MySelection.Clear
ReDim InputObjectType(0)
InputObjectType(0) = "MonoDim"
For i = 0 To 1000
HorizontalCurveSel = MySelection.SelectElement2(InputObjectType, "Select horizontal guide curves or press ESC to exit", False)
If HorizontalCurveSel = "Cancel" Then
Exit For
Else
ReDim HorizontalCurve(i)
Set HorizontalCurve(i) = CATIA.ActiveDocument.Selection.Item(1).Value
Set HorizontalCurveSel = CATIA.ActiveDocument.Selection.Item(1).Value
MySelection.Clear
End If
***************************************************************************************************
thanks
akilic
When I select single curve in Userform then I can declare it as a public variabale so I can use it in other modules.
But when I select multiple curves for creating multisection surface I cannot declare the selection as a public variable. because it is an array now
how can i declare an array and use them in modules?
you can see my selection code below
**********************************************************************************
Dim MySelection, InputObjectType, HorizontalCurveSel, HorizontalCurve()
Set MySelection = CATIA.ActiveDocument.Selection
MySelection.Clear
ReDim InputObjectType(0)
InputObjectType(0) = "MonoDim"
For i = 0 To 1000
HorizontalCurveSel = MySelection.SelectElement2(InputObjectType, "Select horizontal guide curves or press ESC to exit", False)
If HorizontalCurveSel = "Cancel" Then
Exit For
Else
ReDim HorizontalCurve(i)
Set HorizontalCurve(i) = CATIA.ActiveDocument.Selection.Item(1).Value
Set HorizontalCurveSel = CATIA.ActiveDocument.Selection.Item(1).Value
MySelection.Clear
End If
***************************************************************************************************
thanks
akilic